'use strict';

const { Adw, Gio, Gtk } = imports.gi;

const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();

function init() {
}

function fillPreferencesWindow(window) {
	// Use the same GSettings schema as in `extension.js`
	const settings = ExtensionUtils.getSettings('org.gnome.shell.extensions.docker');

	const page = new Adw.PreferencesPage();
	const group = new Adw.PreferencesGroup();
	page.add(group);

	// Menu type
	const row = new Adw.ActionRow({ title: 'Menu type' });
	group.add(row);

	const combobox = new Gtk.ComboBoxText();
	combobox.append("text", "Text");
	combobox.append("icons", "Icons");

	settings.bind(
		'menu-type',
		combobox,
		'active-id',
		Gio.SettingsBindFlags.DEFAULT
	);

	row.add_suffix(combobox);
	row.activatable_widget = combobox;

	// Menus to shows.
	const row2 = new Adw.ActionRow({ title: 'Show' });
	group.add(row2);

	const combobox2 = new Gtk.ComboBoxText();
	combobox2.append("both", "Both");
	combobox2.append("containers", "Containers");
	combobox2.append("images", "Images");

	settings.bind(
		'show-value',
		combobox2,
		'active-id',
		Gio.SettingsBindFlags.DEFAULT
	);

	row2.add_suffix(combobox2);
	row2.activatable_widget = combobox2;

	// Add our page to the window
	window.add(page);
}
